Subject: Re: What are branches?

From: Marius Vollmer <[email-masked]>
Date: Tue, 21 Apr 2009 01:08:12 +0300

Junio C Hamano <[email-masked]> writes:

> If we made it easy for Dscho to create the merge M to record my tree as
> the first parent, [...]

But it _is_ easy for Dscho to do that, isn't it?  He just needs to
remember to do the merge the other way around, checking out your branch
and merging his into it.

This doesn't change much, of course, since we still can't follow a
branch backwards in time reliably.  Would it make sense to record
additional information in a merge commit, such as the branch name for
each parent?  Then tools could automatically draw the history of the
current branch as a straight line, say.